Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class UserSViewEnd

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.UserSViewEnd

    public final class UserSViewEnd

extends StandardRecord

The UserSViewEnd record marks the end of the settings for a custom view associated with the sheet

Author:
  Yegor Kozlov

Field Summary
`static short` | `sid`

Constructor Summary
`UserSViewEnd(byte[] data)`
`UserSViewEnd(RecordInputStream in)` construct an UserSViewEnd record.

Method Summary
`java.lang.Object` | `clone()`
`protected int` | `getDataSize()`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` spit the record out AS IS.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### UserSViewEnd

    public UserSViewEnd(byte[] data)

### UserSViewEnd

    public UserSViewEnd(RecordInputStream in)

  construct an UserSViewEnd record. No fields are interpreted and the record will be serialized in its original form more or less

  Parameters:
    `in` - the RecordInputstream to read the record from

Method Detail

### serialize

    public void serialize(LittleEndianOutput out)

  spit the record out AS IS. no interpretation or identification

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.